import printQueueApi from '@@/api/PrintQueueApi'
import BaseCurdEntry from './BaseCurdEntry'

export default class PrintQueue extends BaseCurdEntry {
  id

  goodsName

  materialCode

  tagTypeName

  providerName

  serialNumberRange
  get formatSerialNumberRange () {
    const { serialNumberRange } = this
    return serialNumberRange ? serialNumberRange.join('-') : ''
  }

  number

  printStatusName

  static get $$name () {
    return 'PrintQueue'
  }

  static get $$api () {
    return printQueueApi
  }
}
